Bug 991414 - Starting Storage Node from Inventory section in UI fails.
Starting Storage Node from Inventory section in UI fails.
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity unspecified
: ER01
: JON 3.2.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 07:44 EDT by jvlasak
Modified: 2014-01-02 15:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage-node-restart.png (174.11 KB, image/png)
2013-08-28 07:57 EDT, Armine Hovsepyan
no flags Details
storage-node-start.png (495.82 KB, image/png)
2013-08-28 07:58 EDT, Armine Hovsepyan
no flags Details
storage-node-stop.png (487.28 KB, image/png)
2013-08-28 07:58 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description jvlasak 2013-08-02 07:44:25 EDT
Description of problem:
RHQ Storage Node start operation fails from Inventory section in RHQ Server UI.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.RHQ Server, Storage Node and agent are running.
2.Login into RHQ Server application and go to Inventory and in Resources section click on Platforms and choose an agent.
3.Then click on RHQ Storage Nodes and click on the displayed RHQ Storage Node by right mouse button and select Operations -> Start.
4.After 10 minutes RHQ Server discovers that Storage Node is not present.
5.Then analogical way as you stopped Storage Node start it.
6.Wait 10 minutes.

Actual results:
In UI Storage Node operations (Start and Add Node Maintenance) fail (but this takes a longer time than 10 minutes).
Platform is not available. 
RHQ Storage Node, Agent and they children have unknown availability.
Server is in Maintenance mode.


Expected results:
In UI Storage Node operations (Start and Add Node Maintenance) are successfull.
Platform is available. 
RHQ Storage Node, Agent and they children are available.
Server is in Normal mode.

Additional info:
Comment 2 Armine Hovsepyan 2013-08-28 07:57:11 EDT
verified.
Shutdown and start works as expected.
screen-shots attached.
Comment 3 Armine Hovsepyan 2013-08-28 07:57:45 EDT
Created attachment 791360 [details]
storage-node-restart.png
Comment 4 Armine Hovsepyan 2013-08-28 07:58:10 EDT
Created attachment 791361 [details]
storage-node-start.png
Comment 5 Armine Hovsepyan 2013-08-28 07:58:34 EDT
Created attachment 791362 [details]
storage-node-stop.png

Note You need to log in before you can comment on or make changes to this bug.